## obkey 22.10.16

=== Makefile ===
default: help

# Prepare #
lang: ## Generate locales
	cd po; make

lint: ## Check code syntax
	pylint --output-format=parseable --reports=y ./obkey_parts | tee pylint.log

clean: 
	rm -rf deb_dist dist build obkey.egg-info

# Generate package #
deb: lang ## Debian
	python setup.py \
		--command-packages=stdeb.command sdist_dsc \
		--package obkey \
		--section x11
	cd deb_dist/obkey-*/; \
	dpkg-buildpackage -rfakeroot -uc -us
	find . -mtime 0 -name '*.deb' -exec cp {} ./obkey.deb \;

deb-pub: lang ## Debian (signed)
	python setup.py \
		--command-packages=stdeb.command sdist_dsc \
		--package obkey \
		--section x11
	cd deb_dist/obkey-*/; \
	dpkg-buildpackage -k${DEBEMAIL}
	find . -mtime 0 -name '*.deb' -exec cp {} ./obkey.deb \;

# Install #
installdeb: deb ## Install as a Debian package
	sudo dpkg -i ./obkey.deb
	# find . -mtime 0 -name '*.deb' -exec sudo dpkg -i {} +

installpy: ## Install as a python package
	python setup.py install


help: ## Show this help
	@sed -n \
	 's/^\(\([a-zA-Z_-]\+\):.*\)\?#\(#\s*\([^#]*\)$$\|\s*\(.*\)\s*#$$\)/\2=====\4=====\5/p' \
	 $(MAKEFILE_LIST) | \
	 awk 'BEGIN {FS = "====="}; {printf "\033[1m%-4s\033[4m\033[36m%-14s\033[0m %s\n", $$3, $$1, $$2 }' | \
	 sed 's/\s\{14\}//'

=== po/Makefile ===
LANGS := $(patsubst obkey.%.po,%,$(wildcard *.po))
TARGETS := $(patsubst %,../resources/locale/%/LC_MESSAGES/obkey.mo,$(LANGS))

all: $(TARGETS)

../resources/locale/%/LC_MESSAGES/obkey.mo: obkey.%.po
	mkdir -p $(dir $@)
	msgfmt -o $@ $<

=== debian/changelog ===
obkey (22.10.16) mx; urgency=medium

  * fix minidom elements
  * add pybuild

 -- fehlix <fehlix@mxlinux.org>  Mon, 17 Oct 2022 10:23:23 +0000

obkey (22.10.15) UNRELEASED; urgency=medium

  * updated various documents with current development info, permission"
  * corrected install location for icons

 -- Jerry <jb@mx>  Thu, 13 Oct 2022 15:16:36 -0400

obkey (22.10.14) mx; urgency=medium

  * Initial release. (Closes: #XXXXXX)
  * Updated version by Nite Coder to fix python failures
  * Created Debian folder and populated

 -- Jerry <jb@mx>  Thu, 13 Oct 2022 10:59:18 -0400

=== debian/control ===
Source: obkey
Section: openbox
Priority: optional
Maintainer: Jerry Bond (stormyjerry@gmail.com)
Build-Depends: debhelper (>= 13), python3
Standards-Version: 4.6.1

Package: obkey
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends} 
Description: An app to manage Openbox keys

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3  --buildsystem=pybuild 

execute_after_dh_clean:
	rm -rf obkey_parts/__pycache__
	rm -rf deb/*
